Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.adapter
Class SbmeMatcherAdapter

    java.lang.Object
      com.sun.mdm.index.matching.adapter.SbmeMatcherAdapter

All Implemented Interfaces:
  MatcherAPI

public class SbmeMatcherAdapter
extends java.lang.Object
implements MatcherAPI

MatcherAPI implementation that allows MEFA to communicate with the Master Index Match Engine.

Constructor Summary
`SbmeMatcherAdapter()` Creates new SbmeMatcherAdapter

Method Summary
`java.util.ArrayList` | `findWeights(SystemObject base, QueryResults block, MatchOptions matchOptions)` Uses the sbme match engine to find all the match weights comparing the bases systemobject to the 'block' records retrieved from the DB
`void` | `initialize(MatchEngineConfiguration config)` Initialize the Sbme match engine and the adapter
`void` | `shutdown()` Shutdown and release any resources associated with the Sbme match engine and the adapter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmeMatcherAdapter

    public SbmeMatcherAdapter()

  Creates new SbmeMatcherAdapter

Method Detail

### findWeights

    public java.util.ArrayList findWeights(SystemObject base,
                                           QueryResults block,
                                           MatchOptions matchOptions)
                                    throws MatchingException

  Uses the sbme match engine to find all the match weights comparing the bases systemobject to the 'block' records retrieved from the DB

  Specified by:
    `findWeights` in interface `MatcherAPI`
  Parameters:
    `base` - the system object to match against
    `block` - the block of DB records to compare with
    `matchOptions` - controls any matcher options such as minimum score
  Returns:
    An ArrayList containing the ScoreElements with the weights associated with an EUID.
  Throws:
    `MatchingException` - if the Matching failed

### initialize

    public void initialize(MatchEngineConfiguration config)
                    throws MatchingException

  Initialize the Sbme match engine and the adapter

  Specified by:
    `initialize` in interface `MatcherAPI`
  Parameters:
    `config` - the match engine configuration configured
  Throws:
    `MatchingException` - if the initialization failed

### shutdown

    public void shutdown()
                  throws MatchingException

  Shutdown and release any resources associated with the Sbme match engine and the adapter

  Specified by:
    `shutdown` in interface `MatcherAPI`
  Throws:
    `MatchingException` - if the shutdown failed

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.